Browse Source

Place upper bound on python-dracclient version

The idrac hardware type requires python-dracclient versions greater than
or equal to 1.3.0 and less than 2.0.0.

This is not a backport of a similar change which merged on the master
and stable/stein branches [1]. That change specifies python-dracclient
versions greater than or equal to 1.5.0 and less than 3.0.0 are
required.

Subsequently, a change which merged only on master modified the bounds
to greater than or equal to 3.0.0 and less than 4.0.0 [2].

[1] https://review.opendev.org/#/q/I5f6d6be53aec9d72e8ba5cfa436f12e01966f871
[2] https://review.opendev.org/#/c/634903/

Conflicts:
	doc/source/admin/drivers/idrac.rst
	driver-requirements.txt

Change-Id: If5b0c5b69f0f8759136051072c1ff53c6d86217d
(cherry picked from commit f78ccef3f5)
changes/80/664480/3
Richard Pioso 3 years ago
parent
commit
24e8dbbd3f
  1. 5
      doc/source/admin/drivers.rst
  2. 69
      doc/source/admin/drivers/idrac.rst
  3. 2
      driver-requirements.txt

5
doc/source/admin/drivers.rst

@ -32,6 +32,11 @@ IPMITool driver
DRAC driver
-----------
.. toctree::
:maxdepth: 1
drivers/idrac
DRAC with PXE deploy
^^^^^^^^^^^^^^^^^^^^

69
doc/source/admin/drivers/idrac.rst

@ -0,0 +1,69 @@
============
iDRAC driver
============
Overview
========
iDRAC_ hardware is supported by the ``idrac`` hardware type. It is also
supported by the standard ``ipmi`` hardware type, though with a smaller
feature set.
.. TODO(dtantsur): supported hardware
Enabling
========
The ``idrac`` hardware type requires the ``python-dracclient`` library to be
installed, for example::
sudo pip install 'python-dracclient>=1.3.0,<2.0.0'
To enable the ``idrac`` hardware type, add the following to your
``/etc/ironic/ironic.conf``:
.. code-block:: ini
[DEFAULT]
enabled_hardware_types=idrac
enabled_management_interfaces=idrac
enabled_power_interfaces=idrac
To enable all optional features (inspection, RAID and vendor passthru), use
the following configuration:
.. code-block:: ini
[DEFAULT]
enabled_hardware_types=idrac
enabled_inspect_interfaces=idrac
enabled_management_interfaces=idrac
enabled_power_interfaces=idrac
enabled_raid_interfaces=idrac
enabled_vendor_interfaces=idrac
Enrolling
=========
The following command will enroll a bare metal node with the ``idrac``
hardware type::
openstack baremetal node create --driver idrac \
--driver-info drac_address=http://drac.host \
--driver-info drac_username=user \
--driver-info drac_password=pa$$w0rd
.. TODO(dtantsur): describe RAID support and inspection
Known Issues
============
Nodes go into maintenance mode
------------------------------
After some period of time, nodes managed by the ``idrac`` hardware type may go
into maintenance mode in Ironic. This issue can be worked around by changing
the Ironic power state poll interval to 70 seconds. See
``[conductor]sync_power_state_interval`` in ``/etc/ironic/ironic.conf``.
.. _iDRAC: http://www.dell.com/learn/us/en/15/solutions/integrated-dell-remote-access-controller-idrac

2
driver-requirements.txt

@ -10,7 +10,7 @@ python-ironic-inspector-client>=1.5.0
python-oneviewclient<3.0.0,>=2.5.2
python-scciclient>=0.5.0
UcsSdk==0.8.2.2
python-dracclient>=1.3.0
python-dracclient>=1.3.0,<2.0.0
# The CIMC drivers use the Cisco IMC SDK version 0.7.2 or greater
ImcSdk>=0.7.2

Loading…
Cancel
Save